Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ServicesA.h File Reference

This graph shows which files directly or indirectly include this file:

## Functions

TAO_Export void | operator<<= (CORBA::Any &, const CORBA::ServiceDetail &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::ServiceDetail *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::ServiceDetail *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::ServiceDetail *&)
TAO_Export void | operator<<= (CORBA::Any &, const CORBA::ServiceInformation &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::ServiceInformation *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::ServiceInformation *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::ServiceInformation *&)

## Function Documentation

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::ServiceInformation * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const CORBA::ServiceInformation & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::ServiceDetail * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const CORBA::ServiceDetail & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const CORBA::ServiceInformation *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::ServiceInformation *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const CORBA::ServiceDetail *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::ServiceDetail *& |
| ) |